Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156714 - Unable to mount DOS formatted FLASH drive with hotplug configured /etc/fstab line
Summary: Unable to mount DOS formatted FLASH drive with hotplug configured /etc/fstab ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: util-linux
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-03 16:00 UTC by AJ Lewis
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-06 15:49:00 UTC


Attachments (Terms of Use)

Description AJ Lewis 2005-05-03 16:00:03 UTC
Description of problem:
Unable to mount DOS formatted FLASH drive with hotplug configured /etc/fstab
line.  pamconsole line unrecognized by the fat kernel module.

Version-Release number of selected component (if applicable):
util-linux-2.12pre-3
kernel-smp-2.6.11-1.1275_FC4

How reproducible:
Every time

Steps to Reproduce:
1. Plug in usb flash drive
2. verify /etc/fstab line was created:
$ cat /etc/fstab | grep FLASH
/dev/sda                /media/FLASH            vfat   
pamconsole,exec,noauto,noatime,sync,managed 0 0

3. attempt to mount
$ sudo mount /media/FLASH
mount: wrong fs type, bad option, bad superblock on /dev/sda,
       or too many mounted file systems
  
Actual results:
Unable to mount

Expected results:
Able to mount

Additional info:
l$ sudo tail -5 /var/log/messages
May  3 10:51:26 null dhclient: bound to 172.16.31.120 -- renewal in 1264 seconds.
May  3 10:54:32 null kernel: FAT: Unrecognized mount option "pamconsole" or
missing value
May  3 10:55:01 null crond(pam_unix)[30404]: session opened for user alewis by
(uid=0)
May  3 10:56:10 null crond(pam_unix)[30404]: session closed for user alewis
May  3 10:58:43 null kernel: FAT: Unrecognized mount option "pamconsole" or
missing value

Comment 1 AJ Lewis 2005-05-06 15:49:00 UTC
I had to force upgrade to util-linux-2.12p-9.3, but then my problems went away.


Note You need to log in before you can comment on or make changes to this bug.